Uploaded image for project: 'Moodle QA'
  1. Moodle QA
  2. MDLQA-14131 Moodle 3.9 QA
  3. MDLQA-14291

CLONE - This version upgrades without errors from the previous version

    XMLWordPrintable

    Details

    • Type: Functional Test
    • Status: Passed
    • Priority: Trivial
    • Affects Version/s: Moodle 3.9
    • Fix Version/s: Moodle 3.9
    • Component/s: None

      Description

      1. Install the previous stable version of Moodle (latest stable release on the previous branch).
      2. Set the debugging level to DEVELOPER. Make sure you can see errors (display them on screen or monitor the error log).
      3. Set it up with some courses, users and content. Using the 'Make test course' feature in the Site administration is a quick way to achieve this.
      4. Upgrade the code to this current version of Moodle you are testing.
      5. Visit /admin and go through the upgrade process.
      6. On the page that lists the plugins to be upgraded, confirm that there are no "Missing from disk" plugins.
      7. Verify that the upgrade process completes without any errors.
      8. Repeat above steps after defining `$CFG->upgradekey` in the config.php. Make sure that when you attempt to upgrade the site via the web UI, the user must provide the valid upgradekey value. The non-admin user should have no access to any information regarding the site and/or plugins versions.

        Attachments

        1. classic.png
          classic.png
          206 kB
        2. boost.png
          boost.png
          216 kB

          Activity

            People

            Assignee:
            amaia Amaia Anabitarte
            Participants:
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: